Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.utils
Class DefaultProgressUpdater

    java.lang.Object
      de.jstacs.utils.DefaultProgressUpdater

All Implemented Interfaces:
  ProgressUpdater

Direct Known Subclasses:
  TimeLimitedProgressUpdater

    public class DefaultProgressUpdater

extends Object
implements ProgressUpdater

Simple class that implements `ProgressUpdater` and prints the percentage of iterations that is already done on the screen.

Author:
  Andre Gohr, Jan Grau, Jens Keilwagen

Field Summary
`protected int` | `max` The maximal number of steps.

Constructor Summary
`DefaultProgressUpdater()` Creates a `DefaultProgressUpdater`.

Method Summary
`boolean` | `isCancelled()` Specifies if the process is cancelled by the user.
`void` | `setMax(int max)` Sets the maximal value that will be set by `ProgressUpdater.setValue(int)`, so a value of max indicates the end of the supervised method call.
`void` | `setValue(int value)` Sets the current value the supervised process has reached.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### max

    protected int max

  The maximal number of steps.

Constructor Detail

### DefaultProgressUpdater

    public DefaultProgressUpdater()

  Creates a `DefaultProgressUpdater`.

Method Detail

### setMax

    public void setMax(int max)

  Description copied from interface: `ProgressUpdater`
  Sets the maximal value that will be set by `ProgressUpdater.setValue(int)`, so a value of max indicates the end of the supervised method call.

  Specified by:
    `setMax` in interface `ProgressUpdater`
  Parameters:
    `max` - the maximal value

### setValue

    public void setValue(int value)

  Description copied from interface: `ProgressUpdater`
  Sets the current value the supervised process has reached.

  Specified by:
    `setValue` in interface `ProgressUpdater`
  Parameters:
    `value` - the current value

### isCancelled

    public boolean isCancelled()

  Description copied from interface: `ProgressUpdater`
  Specifies if the process is cancelled by the user.

  Specified by:
    `isCancelled` in interface `ProgressUpdater`
  Returns:
    `true` if process was cancelled, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD